version: '3'
services:
    app:
        container_name: CloudESM
        build:
            context: .
        restart: unless-stopped
        volumes:
            - CloudESM_app:/home/CloudESM
            - CloudESM_data:/var/lib/mysql
            - CloudESM_conf:/etc/mysql/conf.d
        ports:
            - 3306:3306
        tty: true
volumes:
    CloudESM_app:
        driver: local
        driver_opts:
            type: none
            device: /var/lib/docker-bindings/CloudESM/app
            o: bind
    CloudESM_data:
        driver: local
        driver_opts:
            type: none
            device: /var/lib/docker-bindings/CloudESM/data
            o: bind
    CloudESM_conf:
        driver: local
        driver_opts:
            type: none
            device: /var/lib/docker-bindings/CloudESM/conf
            o: bind
